#define false 0
#define true 1
#define num_repeats 1000

typedef struct _seen _seen;
typedef struct _trans _trans;
typedef struct _freq _freq;
typedef struct _mu _mu;
typedef struct _alle _alle;
typedef struct _mutant _mutant;
typedef struct _natrans _natrans;
typedef struct _ynboot _ynboot;
typedef struct _calibrate _calibrate;

struct _ynboot
{
	double data;
	double boot;
};
struct _alle
{
	double data[50];
	double boot[50];
};

struct _seen
{
	double data[50][50];
	double boot[50][50];
};

struct _trans
{
	_alle trans;
	_alle untrans;

};

struct _natrans
{
	_ynboot trans;
	_ynboot untrans;

};

struct _freq
{
	_trans est;
	_trans var;
	_trans sd;
	_trans esum;
	_trans ess;

};

struct _mu
{
	_alle init_est;
	_alle est;
	_alle var;
	_alle sd;
	_alle esum;
	_alle ess;

};
struct _mutant
{
	_natrans est;
	_natrans var;
	_natrans sd;
	_natrans esum;
	_natrans ess;
};
struct _calibrate
{
	_ynboot est;
	_ynboot var;
	_ynboot sd;
	_ynboot esum;
	_ynboot ess;

};